# Class NucleotideState

java.lang.Object
jebl.evolution.sequences.State
jebl.evolution.sequences.NucleotideState

All Implemented Interfaces:
  `Comparable`

public final class NucleotideState extends State

Version:
  $Id: NucleotideState.java 924 2008-06-18 05:58:28Z matt_kearse $
Author:
  Andrew Rambaut, Alexei Drummond

## Field Summary

Fields
Modifier and Type
Field
Description
`final byte`
`bitCode`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`SequenceType`
`getType()`
`boolean`
`isGap()`
`boolean`
`possiblyEqual(State other)`

### Methods inherited from class State

`fractionEqual, getCanonicalStates, getCode, getFullName, getIndex, getName, isAmbiguous, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### bitCode

public final byte bitCode

## Method Details

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`
Overrides:
  `compareTo` in class `State`

### possiblyEqual

public boolean possiblyEqual(State other)

Overrides:
  `possiblyEqual` in class `State`
Parameters:
  `other` - another state to check for the equality with.
Returns:
  true if the other state is or possibly is equal to this state, taking ambiguities into account, i.e. if the ambiguity sets of this and the other state intersect.

### isGap

public boolean isGap()

Specified by:
  `isGap` in class `State`

### getType

public SequenceType getType()

Specified by:
  `getType` in class `State`